Create an external storage configuration
POST/organization/external_storage
Register one customer-managed external storage configuration.
Create an external storage configuration
curl -X POST https://api.openai.com/v1/organization/external_storage \
-H "Authorization: Bearer $OPENAI_ADMIN_KEY" \
-H "Content-Type: application/json" \
-d '{
"project_id": "proj_abc123",
"provider": {
"type": "aws",
"bucket": "customer-logs",
"role_arn": "arn:aws:iam::123456789012:role/OpenAIExternalStorageRole"
}
}'
{
"object": "organization.external_storage",
"id": "extstorage_abc123",
"project_id": "proj_abc123",
"provider": {
"type": "aws",
"account_id": "123456789012",
"region": "us-east-1",
"bucket": "customer-logs",
"role_arn": "arn:aws:iam::123456789012:role/OpenAIExternalStorageRole",
"external_id": "proj_abc123"
},
"geography": "US",
"status": "pending",
"created_at": 1711471533
}
Create an external storage configuration
curl -X POST https://api.openai.com/v1/organization/external_storage \
-H "Authorization: Bearer $OPENAI_ADMIN_KEY" \
-H "Content-Type: application/json" \
-d '{
"project_id": "proj_azure123",
"provider": {
"type": "azure",
"tenant_id": "11111111-1111-1111-1111-111111111111",
"subscription_id": "22222222-2222-2222-2222-222222222222",
"resource_group": "customer-rg",
"account_name": "customerstorage",
"container": "openai-data"
}
}'
{
"object": "organization.external_storage",
"id": "extstorage_azure123",
"project_id": "proj_azure123",
"provider": {
"type": "azure",
"tenant_id": "11111111-1111-1111-1111-111111111111",
"subscription_id": "22222222-2222-2222-2222-222222222222",
"resource_group": "customer-rg",
"account_name": "customerstorage",
"container": "openai-data",
"region": "eastus"
},
"geography": "US",
"status": "pending",
"created_at": 1711471533
}
Create an external storage configuration
curl -X POST https://api.openai.com/v1/organization/external_storage \
-H "Authorization: Bearer $OPENAI_ADMIN_KEY" \
-H "Content-Type: application/json" \
-d '{
"project_id": "proj_gcp123",
"provider": {
"type": "gcp",
"bucket": "customer-gcp-retention",
"workload_identity_project_number": "123456789012",
"workload_identity_pool_id": "customer-pool",
"workload_identity_provider_id": "customer-provider"
}
}'
{
"object": "organization.external_storage",
"id": "extstorage_gcp123",
"project_id": "proj_gcp123",
"provider": {
"type": "gcp",
"bucket": "customer-gcp-retention",
"workload_identity_project_number": "123456789012",
"workload_identity_pool_id": "customer-pool",
"workload_identity_provider_id": "customer-provider",
"region": "us-central1",
"audience": "proj_gcp123"
},
"geography": "US",
"status": "pending",
"created_at": 1711471400
}
Returns Examples
{
"id": "id",
"created_at": 0,
"geography": "geography",
"object": "organization.external_storage",
"project_id": "project_id",
"provider": {
"account_id": "account_id",
"bucket": "bucket",
"external_id": "external_id",
"region": "region",
"role_arn": "role_arn",
"type": "aws"
},
"status": "pending"
}